# CURP scraping validation by data

`POST /api/validate/curp-by-data/v3` · [developer.incode.com ↗](https://developer.incode.com/reference/introduction)

> CURP scraping validation by data

Check for valid CURP directly with an automated search in [https://www.gob.mx/curp/](https://www.gob.mx/curp/) and return corresponding curp of that person. Parameters are the person's details. Scraping service will start working asynchronously and this service will return a resultsId to fetch the results in [/api/fetch/curp/v3](#/API%20Validations/fetchCurp3). The recommended wait time is 25 sec. Valid values for state are the ones listed by renapo in this link: [https://es.wikipedia.org/wiki/Plantilla:Abreviaciones_de_los_estados_de_México](https://es.wikipedia.org/wiki/Plantilla:Abreviaciones_de_los_estados_de_México)

## Authentication

| Header | Required | Notes |
|---|---|---|
| `x-api-key` | yes | API key for the region/environment. |
| `api-version` | yes | API version, defaults to `1.0`. |

**Category:** API validations

## Sources

- Public reference: <https://developer.incode.com/reference/introduction>
- Reconstructed from the Incode Omni OpenAPI spec (operation `—`); see the Implementation pane for source & tests.

